<?
session_start();
if(!empty($login)){
if (ereg("[<>\\/]",$log)) {print "?!"; exit();}
$log=htmlspecialchars($log);
include "conf.php";
$data = mysql_connect($base_name, $base_user, $base_pass);
mysql_select_db($db_name,$data);
$SSS = mysql_query("SELECT * FROM users WHERE login='$login'");
$DDD = mysql_fetch_array($SSS);
if($DDD["orden"]==1){$templier=1;}else{$templier = 0;}
if($DDD["orden"]==2){$armada=2;}else{$armada = 0;}
}
else{
$templier = 0;
}

?>

<meta http-equiv="Content-Type" content="text/html; charset=windows-1251">
<meta http-equiv="Content-Language" content="ru">
<LINK REL=StyleSheet HREF='style.css' TYPE='text/css'>
<?
if(empty($log)){
print "<BR>";
print "Неверный запрос.";
die();
}
else{
include "conf.php";
$data = mysql_connect($base_name, $base_user, $base_pass);
mysql_select_db($db_name,$data);
$sql = "SELECT * FROM users WHERE login='$log'";
$result = mysql_query($sql);
$db = mysql_fetch_array($result);

if($db["login"]==""){
print "<BR>";
print "Персонаж <B>$log</B> не найден.";
die();
}

$name=$db["login"];
$r_name=$db["name"];
$sex=$db["sex"];
$deviz=$db["deviz"];
$hobie=$db["hobie"];
$date=$db["date"];
$sila=$db["sila"];
$lovkost=$db["lovkost"];
$udacha=$db["udacha"];
$vinoslivost=$db["power"];
$intellekt=$db["intellekt"];
$vospriyatie=$db["vospriyatie"];
$um=$db["um"];
$mag=$db["mag"];

$cure_hp=$db["cure_hp"];
$cure_mn=$db["cure_mn"];
$time_to_cure=$cure_hp-time();
$hhh=$db["hp_all"];
if($db["battle"]==0){
if($time_to_cure>0){
$percent_hp=floor((100*$time_to_cure)/1200);
$percent=100-$percent_hp;
$percent=$percent;
$hp[0]=floor(($hhh*$percent)/100);
$sss="UPDATE users SET hp='$hp[0]' WHERE login='$log'";
$q=mysql_query($sss);
}
else{
$hp[0]=$db["hp_all"];
$SS = mysql_query("UPDATE users SET hp='$hp[0]',cure_hp='0' WHERE login='$log'");
$time_to_cure_f=0;
}
}
$hp[1]=$db["hp_all"];

$time_to_cure_mn=$cure_mn-time();
$mmm=$db["mana_all"];
if($db["battle"]==0){
if($time_to_cure_mn>0){

$percent_mn=floor((100*$time_to_cure_mn)/1200);
$percentm=100-$percent_mn;
$mana[0]=floor(($mmm*$percentm)/100);

}
else{
$mana[0]=$db["mana_all"];
}
}

$mana[1]=$db["mana_all"];
$lose=$db["lose"];
$win=$db["win"];
$exp=$db["exp"];
$level=$db["level"];
$amulet=$db["amulet"];
$sergi=$db["sergi"];
$hand_r=$db["hand_r"];
$hand_r_type=$db["hand_r_type"];
$hand_l=$db["hand_l"];
$hand_l_type=$db["hand_l_type"];
$armour=$db["armour"];
$poyas=$db["poyas"];
$obraz=$db["obraz"];
$ring1=$db["ring1"];
$ring2=$db["ring2"];
$ring3=$db["ring3"];
$helmet=$db["helmet"];
$perchi=$db["perchi"];
$naruchi=$db["naruchi"];
$boots=$db["boots"];
$clan=$db["clan"];
$name_s = $db["name_short"];
$chin=$db["chin"];
$mon=$db["money"];
$money = sprintf ("%01.2f", $mon);
$bron_head=$db["bron_head"];
$bron_corp=$db["bron_corp"];
$bron_poyas=$db["bron_poyas"];
$bron_leg=$db["bron_legs"];
$mf_krit=$db["mf_krit"];
$mf_uvorot=$db["mf_uvorot"];
$mf_antikrit = $db["mf_antikrit"];
$mf_antiuvorot = $db["mf_antiuvorot"];
$place=$db["room"];
$status=$db["status"];
$up=$db["ups"];
$shut=$db["shut"];
$prision=$db["prision"];
$prision_reason=$db["prision_reason"];
$blok=$db["blok"];
$blok_reason=$db["blok_reason"];
$icq=$db["icq"];
$city=$db["city"];
$city_game=$db["city_game"];
$phisic_bt=$db["phisic_bt"];
$sword_bt=$db["sword_bt"];
$axe_bt=$db["axe_bt"];
$hummer_bt=$db["hummer_bt"];
$castet_bt=$db["castet_bt"];
$copie_bt=$db["copie_bt"];
$phisic_vl=$db["phisic_vl"];
$sword_vl=$db["sword_vl"];
$axe_vl=$db["axe_vl"];
$hummer_vl=$db["hummer_vl"];
$castet_vl=$db["castet_vl"];
$copie_vl=$db["copie_vl"];
$water_magic = $db["water_magic"];
$earth_magic = $db["earth_magic"];
$fire_magic = $db["fire_magic"];
$air_magic = $db["air_magic"];
$next_up=$db["next_up"];
$umenie = $db["umenie"];
$no_armour = $db["no_armour"];
$light_armour = $db["light_armour"];
$heavy_armour = $db["heavy_armour"];
$cast = $db["cast"];
$trade = $db["trade"];
$cure = $db["cure"];
$walk = $db["walk"];
$profession = $db["profession"];
$metka = $db["metka"];
$birthday = $db["birthday"];
$ip = $db["reg_ip"];
$money = $db["money"];
$reg_date = $db["date"];
$otdel = $db["otdel"];
$state = $db["state"];
$town = $db["town"];
$url = $db["url"];
$stat_rang = $db["stat_rang"];
$delo = $db["delo"];
if(empty($state)){$state = "нет";}
}
?>
<html>
<title>АнтиБК+ - информация о персонаже <?echo $db['login']?></title>

<body topMargin=0 leftMargin=5 rightMargin=0 bottomMargin=0 bgcolor=#dedede><br>
<table width="100%" border="0" cellspacing="0" cellpadding="0">
<tr>
    <td align=center valign=top width=285>
	
<? include "functions.php";
showHP($log);
showPlayer_inf($log); ?>
	<br>
<div align=left>
</div>
	</td>
 <td align=left valign=top width=300>
<br><br><br>Сила: <B><?echo $sila;?></B><BR>
Ловкость: <B><?echo $lovkost;?></B><BR>
Интуиция: <B><?echo $udacha;?></B><BR>
Выносливость: <B><?echo $vinoslivost;?></B><BR>
		 <?if($level>=4){ ?>
Интеллект: <B><?echo $intellekt;?></B><BR><?}?>
<?if($level>=6){ ?>
Мудрость: <B><?echo $vospriyatie;?></B><BR><?}?>
	<HR align=left width=300 SIZE=1>
	<small>Уровень: <?echo $level;?><BR>
			Побед: <?echo $win;?><BR>
			Поражений: <?echo $lose;?><BR>
                        <?
if(!empty($profession)) {
	if($profession == "knight"){$prof_d = "Рыцарь";}
	else if($profession == "mag"){$prof_d = "Маг";}
	else if($profession == "trade"){$prof_d = "Торговец";}
	else if($profession == "doctor"){$prof_d = "Варвар";}
	else if($profession == "monk"){$prof_d = "Эльф";}

print "Профессия: <B>$prof_d</B><BR>";
} 
if($clan!=''){
$S = mysql_query("SELECT * FROM clan ORDER BY name ASC");
$DATA = mysql_fetch_array($S);
$name_s = $db["clan_short"];
print "Клан: <strong><a style='font-size: 10 px;'href='clan_inf.php?clan=$name_s' class=us2 target=new>$clan</a> ($chin)</strong><BR>";
}
	$orden_d = $db["orden"];
	if($orden_d==1){$orden_dis="Паладинский орден - ";}
	else if($orden_d==2){$orden_dis="Армада - ";}
                        if($orden_d == 1 or $orden_d == 2){
                        print "<strong>$orden_dis$stat_rang</strong><BR>";
                        }
                        else{
	                print "Статус: <strong>$status</strong><br>"; }
                        if($db["login"]=='Мироздатель'){$reg_date="До начала времен";}
                        if($db["login"]=='Мироздатель'){$state="Этого никто не знает";}?>
                        Место рождения персонажа: <strong><?echo $state;?></strong><br>
			Дата рождения: <?echo $reg_date;?></small><BR>

<HR align=left width=300 SIZE=1>


<? if($db["dealer"]!=0){
 if($db["dealer"] == 1){$d_i = "img/dealer_bronz.gif";$d_d = "Бронзовый диллер.";}
 else if($db["dealer"] == 2){$d_i = "img/dealer_silver.gif";$d_d = "Серебрянный диллер.";}
 else if($db["dealer"] == 3){$d_i = "img/dealer_gold.gif";$d_d = "Регистрированный алхимик.";}
 print "<table border=0 cellpadding=2 cellspacing=0><tr><td>";
 print "<img src='$d_i' width=35 height=24 alt='$d_d\nПерсонаж имеет право продавать услуги АнтиБК+.' border=0></td></tr></table>";
} ?>
<br><?showInfDetail($log);?>
	</td>
    <td align=center valign=top><br><br>
      <?
if($templier == 1 && $DDD["admin_level"]>=4 or $DDD["login"]=='Мироздатель' or $DDD["login"]=='Смотритель' or $armada == 2 && $DDD["admin_level"]>=4){

	$SEEK_IP = mysql_query("SELECT login,level,orden,clan,clan_short,rang,blok FROM users WHERE reg_ip='$ip' ORDER BY login ASC");
print "<B>Мульты:</B><BR>";

if ($db["login"]=='Мироздатель'){
print "<i>Мироздатель - это великий человек, и всех его мультов может знать только бог!</i>";} else {
while($ip_data = mysql_fetch_Array($SEEK_IP)){
$player = $ip_data["login"];
$pl1 = str_replace(" ","%20",$player);
$lev_ip = $ip_data["level"];
$orden_d = $ip_data["orden"];
$clan_s = $ip_data["clan_short"];
$clan_f = $ip_data["clan"];
$rang = $ip_data["rang"];
$block = $ip_data["blok"];
if($block==1){$banned = "<font color=red><b>- Ban</b></font>";}else{$banned = "";}
	if($orden_d==1){$orden_dis="Белое братство";}
	else if($orden_d==2){$orden_dis="Темное братство";}
	else if($orden_d==3){$orden_dis="Нейтральное братство";}
	else if($orden_d==4){$orden_dis="Алхимик";}
	else if($orden_d==5){$orden_dis="Тюремный заключеный";}
	if(empty($clan_s)){$clan="";}
	else{$clan="<img src='img/clan/$clan_s.gif' border=0 alt='$clan_f'>";}
	if(empty($orden_d)){$orden="";}
	else{
if ($orden_d==2) {$orden="<img src='img/orden/arm/$rang.gif' width=12 height=15 border=0 alt='$orden_dis'>";}  
else{$orden="<img src='img/orden/$orden_d.gif' border=0 alt='$orden_dis'>";}
if ($orden_d==1) {$orden="<img src='img/orden/pal/$rang.gif' width=12 height=15 border=0 alt='$orden_dis'>";}
}
	print "$orden$clan<b>$player</b> [$lev_ip]<a href='info.php?log=$pl1' target='$player'><img src='img/inf.gif' border=0></a> $banned<br>";
}}
print "<BR><br>";}
if($templier==1 && $DDD["admin_level"]>=5 or $DDD["login"]=='Мироздатель' or $DDD["login"]=='Смотритель' or $armada == 2 && $DDD["admin_level"]>=5){
if ($db["login"]=='Мироздатель'){$money="???";}
print "<b>Деньги: $money кр.</b><BR>";
if(empty($ip))
{
       	if (getenv('HTTP_X_FORWARDED_FOR'))
		{
			$ip=getenv('HTTP_X_FORWARDED_FOR');
		}
       		else
		{
			$ip=getenv('REMOTE_ADDR');
		}
}
$on_game = mysql_query("SELECT * FROM online WHERE login='$log'");
$res_on = mysql_fetch_array($on_game);
$t_ip = $res_on["ip"];
if ($db["login"]=='Мироздатель'){$ip="???.?.?.?"; $birthday="??.??.????"; $t_ip="???.?.?.?";}
if($res_on) {print "Текущий ip-адрес: <b>$t_ip</b><BR>";}
print "reg-ip-адрес: <b>$ip</b><BR>";}
if($templier == 1 or $DDD["login"]=='Мироздатель' or $DDD["login"]=='Смотритель' or $armada == 2){
print "Дата рождения: <b>$birthday</b><BR>";
if(!empty($metka)){
print "<B>$metka</B> - пройдена проверка.<BR>";
}
if(!empty($delo)){
?>
<b>Личное дело:</b><br>
<table><td><?
print "$delo";
?></td></table><?
}
}
?><br>
&nbsp;&nbsp;&nbsp;
    </td>
  </tr>
</table>
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td align=left valign=top>
	<?
	$i=0;
$SS = mysql_query("SELECT * FROM inv WHERE owner='$login' AND object_razdel='thing' ORDER BY date DESC");
while($DAT_T = mysql_fetch_array($SS)){
	if($DAT_T["object_type"]=="medal" AND $DAT_T["wear"]==1){
	$obj_id = $DAT_T["object_id"];
	$obj_s = mysql_query("SELECT * FROM medal WHERE id=$obj_id");
	$obj_data = mysql_fetch_array($obj_s);
	$name = $obj_data["name"];
	$img = $obj_data["img"];
	$msg = $obj_data["msg"];
	$gift_author = $DAT_T["gift_author"];
	print "<img src = '$img' alt='$name\n$msg\nот $gift_author'>&nbsp";
	if($i==2){print "<BR>";}
	if($i==5){print "<BR>";}
	if($i==8){print "<BR>";}
	if($i==11){print "<BR>";}
	if($i==14){print "<BR>";}
	$i++;
	}

}
?>

	
	</td>
  </tr>
</table>
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td align=left valign=top>
	      <HR align=left SIZE=1>

      <H3><center><p style="COLOR: #8f0000;  FONT-FAMILY: Arial;  FONT-SIZE: 12pt;  FONT-WEIGHT: bold; TEXT-ALIGN: center">Анкетные данные</p></center></H3>
Имя: <?echo $r_name;?><BR>
Пол: <? 
if($sex==male){print "Мужской";}
else {print "Женский";}
if(!empty($icq)){
print "<BR>ICQ: $icq";}
if(!empty($url)){
print "<BR>Домашняя страница: <a href='$url' target='blank' class=nick>$url</a>";}
if(!empty($town)){
print "<BR>Город: $town";}
if(!empty($deviz)){
print "<BR>Девиз: <CODE>$deviz</CODE>";}
if(!empty($hobie)){
print "<BR>Увлечения / хобби:
<BR><CODE>
 $hobie</CODE>";}?><BR><BR><BR>
	
	
	</td>
  </tr>
</table>
</html>